---
title: "List all modules in a series"
description: "Returns all modules within a Mindtickle series."
contentType: "api-reference"
url: "https://developer.mindtickle.com/docs/training/modules/list-all-modules-in-a-series/"
---

## Prerequisites

1. [Authentication and setup](/docs/getting-started/authentication-and-setup/): A valid access token.
2. [List all series](/docs/training/series/list-all-series/): Get the Mindtickle ID of the series.

## Endpoint

```http
GET /api/v2/series/SERIES_ID/list
```

Replace `SERIES_ID` with the Mindtickle ID of the series.

Base URL: the standard REST host for your region. See [Base URLs](/docs/getting-started/authentication-and-setup/#base-urls).

Headers: `Authorization: Bearer ACCESS_TOKEN`.

## Path parameters

| Parameter | Type | Required | Description |
| --- | --- | --- | --- |
| `SERIES_ID` | string | Required | Mindtickle ID of the series. |

## Request

This endpoint does not have any JSON request parameters.

## Response

| Field | Type | Description |
| --- | --- | --- |
| `totalHits` | Unconfirmed | Total number of modules in the series. |
| `hits` | Array[SeriesEntity] | Lists details on each module in the series. |
| `hits[].moduleType` | string | Type of object. This is the module type name. |
| `hits[].description` | string | Description, if available, of the module added on the Mindtickle platform. |
| `hits[].name` | string | Name of the module. |
| `hits[].thumbnailUrl` | string | URL of the module thumbnail image hosted on the Mindtickle platform. |
| `hits[].id` | string | Mindtickle ID of the module. |
| `hits[].url` | string | Just In Time (JIT) URL of the module on the Mindtickle platform. |

Confirm the type of `totalHits` with [Mindtickle Support](mailto:support@mindtickle.com) before implementing a strict response parser. Do not assume that both strings and numbers are accepted representations.

### Response example

```json
{
  "totalHits": 3,
  "hits": [
    {
      "moduleType": "COURSE",
      "description": "<p dir='ltr'>Often you'll need to configure settings of your learning & admin sites to cater to different needs.</p>In this short course, we discuss the various parameters you can control from your account settings.",
      "name": "Account Management",
      "thumbnailUrl": "https://cdn.example.com/thumbnails/account-management.jpg",
      "id": "1234567890123456101"
    },
    {
      "moduleType": "UPDATE",
      "description": "<p dir='ltr'><strong dir='ltr'>Welcome to the walkthrough on Ideal Rep Profiles (IRPs)! </strong>In this short quick update, we'll take you through the simple steps to create an IRP in Mindtickle Analytics.</p>",
      "name": "Walkthrough | Ideal Rep Profiles",
      "thumbnailUrl": "https://cdn.example.com/thumbnails/ideal-rep-profiles.jpg",
      "id": "1234567890123456102"
    },
    {
      "moduleType": "COURSE",
      "description": "<p dir='ltr'><strong dir='ltr'>Mindtickle Analytics</strong> is designed to help you maximize your enablement efforts and derive in-depth insights on the readiness level of your users. Through this short course, we'll discuss the various levels of Analytics provided by Mindtickle as well as how you can effectively use this data.</p>",
      "name": "Mindtickle Analytics",
      "thumbnailUrl": "https://cdn.example.com/thumbnails/mindtickle-analytics.jpg",
      "id": "1234567890123456103"
    }
  ]
}
```

## Related

- [Get module details](/docs/training/modules/get-module-details/): Get the details of one module returned here.
- [Get module learning object details](/docs/training/modules/get-module-learning-object-details/): Get the learning contents of a module.
